Skip to main content
POST
/
projects
cURL
curl -X POST https://api.growthbook.io/api/v1/projects \
  -d '{"name":"My Project", "description": "Super cool project"}' \
  -u secret_abc123DEF456:
{
  "project": {
    "id": "<string>",
    "name": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "publicId": "<string>",
    "settings": {
      "statsEngine": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Body

application/json
name
string
required
description
string
publicId
string

URL-safe slug (lowercase letters, numbers, dashes). Auto-generated from name if not provided.

settings
object

Project settings.

Response

200 - application/json

Success

project
object
required